%global commit  1676d1d2bfe646fb3ecbba29a85db529dd399493

Name:           egl-wayland
Version:        1.1.0
Release:        0.4
Summary:        Wayland EGL External Platform library
License:        MIT
URL:            https://github.com/NVIDIA/%{name}
Source0:        %url/archive/%{commit}.tar.gz#/%{name}-%{commit}.tar.gz

BuildRequires:  meson libtool eglexternalplatform-devel mesa-libEGL-devel wayland-devel
Requires:       libglvnd-egl%{?_isa}

%description
This is a work-in-progress implementation of a EGL External Platform library
to add client-side Wayland support to EGL on top of EGLDevice and EGLStream
families of extensions.
This library implements an EGL External Platform interface to work along with
EGL drivers that support the external platform mechanism.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%autosetup -n %{name}-%{commit}

%build
%meson
%meson_build

%install
%meson_install
install -m 0755 -d %{buildroot}%{_datadir}/egl/egl_external_platform.d/

%delete_la

%ldconfig_scriptlets

%files
%license COPYING
%doc README.md
%{_libdir}/*.so.*
%dir %{_datadir}/egl/egl_external_platform.d/

%files devel
%{_libdir}/libnvidia-egl-wayland.so
%{_datadir}/pkgconfig/wayland-eglstream.pc
%{_datadir}/pkgconfig/wayland-eglstream-protocols.pc
%{_datadir}/wayland-eglstream/

%changelog
* Sun Jan 19 2020 Jiangping Hu <hujp1985@foxmail.com> - 1.1.0-0.4
- Remove 1 unnecessary file

* Wed Dec 11 2019 chengquan<chengquan3@huawei.com> - 1.1.0-0.3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update package release

* Wed Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.0-0.2.1676d1d2bfe646fb3ecbba29a85db529dd399493
- Package init
